<template>
  <div>
    <div class="row">
        <div class="form-group col-md-4">
            <label class="control-label">
                Tipo de operación
            </label>
                <el-select  clearable class="select-default"
                placeholder="Tipo"
                v-model="selects.simple">
            <el-option v-for="option in selects.countries"
                        class="select-default"
                        :value="option.value"
                        :label="option.label"
                        :key="option.label">
            </el-option>
            </el-select>
        </div>

        <div class="form-group col-md-4">
            <label class="control-label">
                Tipo de acreedor
            </label>
                <el-select  clearable class="select-default"
                placeholder="Tipo"
                v-model="selects.simple">
            <el-option v-for="option in selects.countries"
                        class="select-default"
                        :value="option.value"
                        :label="option.label"
                        :key="option.label">
            </el-option>
            </el-select>
        </div>

        <div class="form-group col-md-4">
            <label class="control-label">
                Tipo de adeudo
            </label>
                <el-select  clearable class="select-default"
                placeholder="Tipo"
                v-model="selects.simple">
            <el-option v-for="option in selects.countries"
                        class="select-default"
                        :value="option.value"
                        :label="option.label"
                        :key="option.label">
            </el-option>
            </el-select>
        </div>
    </div>


    <div class="row">
        <div class="col-md-8">
          <div class="form-group">
            <label class="control-label">
              Número de cuenta, contrato o identificador de la deuda:
            </label>
            <input class="form-control"
                type="text"
                name="tcelular"
                v-validate="modelValidations.tcelular"
                v-model="model.tcelular"
                placeholder="Número de cuenta"
            />
          </div>
        </div>
        <div class="col-md-4">
          <div class="form-group">
            <label class="control-label">
              Nacional o Extranjero
            </label>
            <p-radio v-model="model.pResidencia" label="1">México</p-radio>
            <p-radio v-model="model.pResidencia" label="2">Extranjero</p-radio>
          </div>
        </div>
        <div class="col-md-12">
            <label class="control-label">
                Nombre, denominación o razón social del acreedor
                </label>
                <input class="form-control"
                type="text"
                name="tcelular"
                v-validate="modelValidations.tcelular"
                v-model="model.tcelular"
                placeholder="Nombre, denominación o razón social del acreedor"
            />
        </div>

    </div>

    <div class="row">
        <div class="col-md-6">
            <label class="control-label">
                RFC del acreedor (si aplica):
                </label>
                <input class="form-control"
                type="text"
                name="tcelular"
                v-validate="modelValidations.tcelular"
                v-model="model.tcelular"
                placeholder="RFC del acreedor (si aplica)"
            />
        </div>
        <div class="col-md-6">
                <label class="control-label">
                    Sector/Industria:
                </label>
                <el-select  clearable class="select-default"
                            placeholder="Sector"
                            v-model="selects.simple">
                <el-option v-for="option in selects.countries"
                            class="select-default"
                            :value="option.value"
                            :label="option.label"
                            :key="option.label">
                </el-option>
                </el-select>
        </div>
    </div>
    <domicilio ref="Domicilio"></domicilio>

    <div class="row">

        <div class="form-group col-md-4">
                <label class="control-label">
                    Fecha en la que se generó el adeudo:
                </label>
                <div class="form-group">
                    <el-date-picker v-model="datePicker" type="date" placeholder="Pick a day"
                                    :picker-options="pickerOptions1">
                    </el-date-picker>
                </div>
        </div>

        <div class="form-group col-md-4">
                    <label class="control-label">
                       Monto original del adeudo
                    </label>
                    <input class="form-control"
                        type="text"
                        name="tcelular"
                        v-validate="modelValidations.tcelular"
                        v-model="model.tcelular"
                        placeholder="Monto original del adeudo"
                    />
        </div>

        <div class="col-md-4">
                    <label class="control-label">
                        Tipo de moneda:
                    </label>
                    <input class="form-control"
                        type="text"
                        name="tcelular"
                        v-validate="modelValidations.tcelular"
                        v-model="model.tcelular"
                        placeholder="Tipo de Moneda"
                    />
        </div>
    </div>

    <div class="row">
        <div class="col-md-4">
          <div class="form-group">
            <label class="control-label">
              Tasa de interés
            </label>
            <input class="form-control"
                        type="text"
                        name="tcelular"
                        v-validate="modelValidations.tcelular"
                        v-model="model.tcelular"
                        placeholder="Tasa de interés"            />
          </div>
        </div>

         <div class="col-md-4">
            <label class="control-label">
               Saldo Pendiente
            </label>
             <input class="form-control"
                        type="text"
                        name="tcelular"
                        v-validate="modelValidations.tcelular"
                        v-model="model.tcelular"
                        placeholder="Saldo Pendiente"/>
            </div>

        <div class="col-md-4">
            <label class="control-label">
               Montos abonados a favor de la deuda
            </label>
             <input class="form-control"
                        type="text"
                        name="tcelular"
                        v-validate="modelValidations.tcelular"
                        v-model="model.tcelular"
                        placeholder="Montos abonados a favor de la deuda:"/>
        </div>
    </div>

        <div class="row">

            <div class="col-md-4">
                <div class="form-group">
                    <label class="control-label">
                        Plazo
                    </label>
                    <input class="form-control"
                    type="text"
                    name="tcelular"
                    v-validate="modelValidations.tcelular"
                    v-model="model.tcelular"
                    placeholder="Plazo"
                    />
                </div>
            </div>

            <div class="col-md-4">
                <div class="form-group">
                <label class="control-label">
                        Unidad de medida del plazo
                    </label>
                    <el-select  clearable class="select-default"
                                placeholder="Medida del plazo"
                                v-model="selects.simple">
                    <el-option v-for="option in selects.countries"
                                class="select-default"
                                :value="option.value"
                                :label="option.label"
                                :key="option.label">
                    </el-option>
                    </el-select>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                <label class="control-label">
                        Titular
                    </label>
                    <el-select  clearable class="select-default"
                                placeholder="Sector"
                                v-model="selects.simple">
                    <el-option v-for="option in selects.countries"
                                class="select-default"
                                :value="option.value"
                                :label="option.label"
                                :key="option.label">
                    </el-option>
                    </el-select>
                </div>
            </div>

        </div>

        <div class="row">
          <div class="col-md-6">
             <div class="form-group">
                    <label class="control-label">
                       Porcentaje del adeudo del titular:
                    </label>
                    <input class="form-control"
                        type="text"
                        name="tcelular"
                        v-validate="modelValidations.tcelular"
                        v-model="model.tcelular"
                        placeholder="Porcentaje del adeudo del titular"
                    />
            </div>
        </div>
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label">
                ¿Se otorgó garantía?
            </label>
            <p-radio v-model="model.pResidencia" label="1">SI</p-radio>
            <p-radio v-model="model.pResidencia" label="2">No</p-radio>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="form-group">
                   <label class="control-label">
                        Nombre, denominación o razón social del garante
                    </label>
                    <input class="form-control"
                    type="text"
                    name="tcelular"
                    v-validate="modelValidations.tcelular"
                    v-model="model.tcelular"
                    placeholder="Nombre, denominación o razón social del garante"
                />
        </div>
            <div class="form-group">
                   <label class="control-label">
                        Observaciones/comentarios
                    </label>
                    <input class="form-control"
                    type="text"
                    name="tcelular"
                    v-validate="modelValidations.tcelular"
                    v-model="model.tcelular"
                    placeholder="Observaciones/comentarios"
                />
        </div>
    </div>


  </div>

</template>
<script>
 import {Tag, Select, DatePicker} from 'element-ui'

  import Domicilio from '../Domicilio.vue'

  import {mapFields} from 'vee-validate'

  export default {
    components: {
      [Tag.name]: Tag,
      [DatePicker.name]: DatePicker,
      Domicilio
    },
    computed: {
      ...mapFields(['nombre', 'aPaterno', 'aMaterno','email','nacionalidades','curp','rfc',
                    'nidentifica','cpersonal','tparticular','tcelular'])
    },
    data () {
      return {

        pickerOptions1: {
          shortcuts: [{
            text: 'Today',
            onClick (picker) {
              picker.$emit('pick', new Date())
            }
          },
          {
            text: 'Yesterday',
            onClick (picker) {
              const date = new Date()
              date.setTime(date.getTime() - 3600 * 1000 * 24)
              picker.$emit('pick', date)
            }
          },
          {
            text: 'A week ago',
            onClick (picker) {
              const date = new Date()
              date.setTime(date.getTime() - 3600 * 1000 * 24 * 7)
              picker.$emit('pick', date)
            }
          }]
        },
        datePicker: '',
        model: {
          nombre: '',
          aPaterno: '',
          aMaterno: '',
          curp: '',
          tparticular:'',
          tcelular:'',
          rfc:  '',
          nidentifica: '',
          cpersonal:   '',
          pResidencia: '1',
          nacionalidades:{},
          email: '',
          estudios:'1'
        },
        selects: {
          simple: '',
          countries: [{value: 'Bahasa Indonesia', label: 'Bahasa Indonesia'},
            {value: 'Bahasa Melayu', label: 'Bahasa Melayu'},
            {value: 'Català', label: 'Català'},
            {value: 'Dansk', label: 'Dansk'},
            {value: 'Deutsch', label: 'Deutsch'},
            {value: 'English', label: 'English'},
            {value: 'Español', label: 'Español'},
            {value: 'Eλληνικά', label: 'Eλληνικά'},
            {value: 'Français', label: 'Français'},
            {value: 'Italiano', label: 'Italiano'},
            {value: 'Magyar', label: 'Magyar'},
            {value: 'Nederlands', label: 'Nederlands'},
            {value: 'Norsk', label: 'Norsk'},
            {value: 'Polski', label: 'Polski'},
            {value: 'Português', label: 'Português'},
            {value: 'Suomi', label: 'Suomi'},
            {value: 'Svenska', label: 'Svenska'},
            {value: 'Türkçe', label: 'Türkçe'},
            {value: 'Íslenska', label: 'Íslenska'},
            {value: 'Čeština', label: 'Čeština'},
            {value: 'Русский', label: 'Русский'},
            {value: 'ภาษาไทย', label: 'ภาษาไทย'},
            {value: '中文 (简体)', label: '中文 (简体)'},
            {value: 'W">中文 (繁體)', label: 'W">中文 (繁體)'},
            {value: '日本語', label: '日本語'},
            {value: '한국어', label: '한국어'}],
          multiple: 'ARS'
        },
        tags: {
          dynamicTags: ['Mexicana'],
          inputVisible: false,
          inputValue: ''
        },
        modelValidations: {
          nombre: {
            min: 5
          },
          aPaterno: {
            min: 5
          },
          aMaterno: {
            min: 5
          },
          email: {
            required: true,
            email: true
          }
        }
      }
    },
    methods: {
      getError (fieldName) {
        return this.errors.first(fieldName)
      },
      validate () {
        return this.$validator.validateAll()
      },
       handleClose (tag) {
        this.tags.dynamicTags.splice(this.tags.dynamicTags.indexOf(tag), 1)
      },

      showInput () {
        this.tags.inputVisible = true
        this.$nextTick(() => {
          this.$refs.saveTagInput.$refs.input.focus()
        })
      },

      handleInputConfirm () {
        let inputValue = this.tags.inputValue
        if (inputValue) {
          this.tags.dynamicTags.push(inputValue)
        }
        this.tags.inputVisible = false
        this.tags.inputValue = ''
      }
    }
  }
</script>
<style>
input[type=text] {
    background: transparent !important;
    border: none !important;
    border-bottom: 1px solid #000000 !important;
}
</style>
